shishi_authenticator_to_file(3)

NAME
shishi_authenticator_to_file - API function

SYNOPSIS
#include <shishi.h>

int shishi_authenticator_to_file(Shishi * handle, Shishi_asn1 authenticator, int filetype, const char * filename);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

Shishi_asn1 authenticator
    Authenticator to save.

int filetype
    input variable specifying type of file to be written, see Shishi_filetype.

const char * filename
    input variable with filename to write to.

DESCRIPTION
Write Authenticator to file in specified TYPE. The file will be truncated if it exists.

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.